
textures/hupoTerrain/hupo_noisyrock
{
    // This is the image you'll see in radiant
    qer_editorimage textures/snow_sd/bigrock_rounded_faint.tga
    
    q3map_nonplanar
    q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
    surfaceparm snowsteps
    
    // 0-179 or so, closer to 179 = "smoother" terrain
    q3map_shadeAngle 90
    
    {
        // Primary
        map textures/snow_sd/snow_var01_big.tga
        rgbGen identity
    }
    {
        // Secondary
        map textures/snow_sd/bigrock_rounded_faint.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/hupoTerrain/hupo_noisyvar1
{
	// This is the image you'll see in radiant
	qer_editorimage textures/snow_sd/snow_var01_big.tga
	
	q3map_nonplanar
	surfaceparm snowsteps
	
	// 0-179 or so, closer to 179 = "smoother" terrain
	q3map_shadeAngle 90
	
	{
		// Primary
		map textures/snow_sd/snow_var01_big.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/hupoTerrain/hupo_mudvar1
{
	// This is the image you'll see in radiant
	qer_editorimage textures/snow_sd/snow_muddy.jpg
	
	q3map_nonplanar
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	surfaceparm snowsteps
	
	// 0-179 or so, closer to 179 = "smoother" terrain
	q3map_shadeAngle 90
	
	{
		// Primary
		map textures/snow_sd/snow_var01_big.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/snow_muddy.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/hupoTerrain/hupo_grassvar1
{
	// This is the image you'll see in radiant
	qer_editorimage textures/snow_sd/s_grass_ml03b_big.jpg
	
	q3map_nonplanar
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	surfaceparm snowsteps
	
	// 0-179 or so, closer to 179 = "smoother" terrain
	q3map_shadeAngle 90
	
	{
		// Primary
		map textures/snow_sd/snow_var01_big.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/snow_sd/s_grass_ml03b_big.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


// Terrain blending thingies
textures/hupoTerrain/alpha_000
{
	qer_editorimage textures/hupoTerrain/alpha_000.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/hupoTerrain/alpha_025
{
	qer_editorimage textures/hupoTerrain/alpha_025.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/hupoTerrain/alpha_050
{
	qer_editorimage textures/hupoTerrain/alpha_050.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/hupoTerrain/alpha_075
{
	qer_editorimage textures/hupoTerrain/alpha_075.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/hupoTerrain/alpha_085
{
	qer_editorimage textures/hupoTerrain/alpha_085.tga
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
textures/hupoTerrain/alpha_100
{
	qer_editorimage textures/hupoTerrain/alpha_100.tga
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.7
}
